summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/mythtv/trunk/mp_all.sh
diff options
context:
space:
mode:
authorNathan Harris <nharris@eoimaging.com>2009-02-23 18:27:55 (GMT)
committerNathan Harris <nharris@eoimaging.com>2009-02-23 18:27:55 (GMT)
commit6fe992262e1053b8b17f008fb4fff6be8f3fefdc (patch)
tree44f8173787dd08faa1fa490449f7f739e193e2f6 /abs/core-testing/mythtv/trunk/mp_all.sh
parent24d0bbb30ec411f1411f3ea078653cc35a43a4d8 (diff)
downloadlinhes_pkgbuild-6fe992262e1053b8b17f008fb4fff6be8f3fefdc.zip
linhes_pkgbuild-6fe992262e1053b8b17f008fb4fff6be8f3fefdc.tar.gz
linhes_pkgbuild-6fe992262e1053b8b17f008fb4fff6be8f3fefdc.tar.bz2
bumped rev to svn 20042
Diffstat (limited to 'abs/core-testing/mythtv/trunk/mp_all.sh')
-rwxr-xr-xabs/core-testing/mythtv/trunk/mp_all.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/abs/core-testing/mythtv/trunk/mp_all.sh b/abs/core-testing/mythtv/trunk/mp_all.sh
new file mode 100755
index 0000000..96a7ee1
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/mp_all.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+_svnver=20042
+
+# NOTE: Make sure to build and install mythtv first BEFORE building anything else
+buildlist=('mythtv' 'mytharchive' 'mythbrowser' 'mythflix' 'mythgallery' 'mythgame' 'mythmovies' 'mythmusic' 'mythnews' 'mythvideo' 'mythweather' 'mythzoneminder' 'mythweb' 'myththemes' 'morethemes')
+
+# build and install
+for i in `echo ${buildlist[@]:0}`
+do
+ echo "---------- building $i ----------"
+ cd ./$i
+ mp -f --holdver || exit 1
+ pacman -U /data/pkg_repo/i686/core-testing/$i-svn-$_svnver* || exit 1
+ rm -rf pkg src
+ cd ..
+done
+
+echo ""
+echo "DONE!"
+